com.io7m.r2.meshes.tools

## Enum R2MeshFileFormat

- java.lang.Object
- - java.lang.Enum<R2MeshFileFormat>
  - - com.io7m.r2.meshes.tools.R2MeshFileFormat

- All Implemented Interfaces:
    Serializable, Comparable<R2MeshFileFormat>

      public enum R2MeshFileFormat
      extends Enum<R2MeshFileFormat>

  Available mesh formats.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MESH_FILE_FORMAT_OBJ` The Wavefront OBJ format.
    `MESH_FILE_FORMAT_R2MB` Uncompressed R2B format.
    `MESH_FILE_FORMAT_R2MBZ` GZip compressed R2B format.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `String` | `toString()`
    `static R2MeshFileFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static R2MeshFileFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MESH_FILE_FORMAT_OBJ

          public static final R2MeshFileFormat MESH_FILE_FORMAT_OBJ

      The Wavefront OBJ format.

    - #### MESH_FILE_FORMAT_R2MB

          public static final R2MeshFileFormat MESH_FILE_FORMAT_R2MB

      Uncompressed R2B format.

    - #### MESH_FILE_FORMAT_R2MBZ

          public static final R2MeshFileFormat MESH_FILE_FORMAT_R2MBZ

      GZip compressed R2B format.

  - ### Method Detail

    - #### values

          public static R2MeshFileFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (R2MeshFileFormat c : R2MeshFileFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static R2MeshFileFormat valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<R2MeshFileFormat>`

    - #### getName

          public String getName()

      Returns:
        The short name of the format

Copyright © 2017 <code@io7m.com> http://io7m.com